package com.dvag.example.otel

import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.autoconfigure.domain.EntityScan
import org.springframework.boot.context.properties.EnableConfigurationProperties
import org.springframework.boot.runApplication
import org.springframework.data.jpa.repository.config.EnableJpaRepositories

@SpringBootApplication
@EnableJpaRepositories("com.dvag.example.otel.persistence")
class OtelInstrumentationApplication

fun main(args: Array<String>) {
	runApplication<OtelInstrumentationApplication>(*args)
}