package com.dvag.example.otel.quartz.observability

import jakarta.annotation.PostConstruct
import org.quartz.Scheduler
import org.springframework.context.annotation.Configuration

@Configuration
class QuartzListenerConfig(val scheduler: Scheduler, val instrumentationJobListener: QuartzInstrumentationJobListener) {

    @PostConstruct
    fun addGlobalJobListener() {
        scheduler.listenerManager.addJobListener(instrumentationJobListener)
    }
}