package com.dvag.abschluss.quartz.observability

import io.opentelemetry.instrumentation.api.instrumenter.SpanNameExtractor
import org.quartz.JobExecutionContext

class QuartzSpanNameExtractor : SpanNameExtractor<JobExecutionContext> {
    override fun extract(job: JobExecutionContext): String = job.jobDetail.jobClass.name
}
